Bug 17404 - Patron deletion page: Fix title and breadcrumb
Summary: Patron deletion page: Fix title and breadcrumb
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-05 14:07 UTC by Marc Véron
Modified: 2017-06-14 22:13 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17404: Patron deletion page: Fix title and breadcrumb (1.81 KB, patch)
2016-10-05 14:11 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 17403: Patron deletion page: Fix title and breadcrumb (1.92 KB, patch)
2016-10-10 12:32 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 17404: Patron deletion page: Fix title and breadcrumb (1.97 KB, patch)
2016-10-20 10:24 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-10-05 14:07:40 UTC
Title and breadcrumb of patron deletion page (deletemember.pl) say: "Can't Delete Patron". This should be changed to "Delete patron".

To verify:
- Go to a patron's detail page
- Toolbar : More : Delete
- You get a question: "Are you sure...", but title and breadcrumb say: "Can't Delete Patron" rsp "Cant delete patron"
Comment 1 Marc Véron 2016-10-05 14:11:28 UTC
Created attachment 56056 [details] [review]
Bug 17404: Patron deletion page: Fix title and breadcrumb

Title and breadcrumb of patron deletion page (deletemember.pl) say:
"Can't Delete Patron". This should be changed to "Delete patron".

To verify:
- Go to a patron's detail page
- Toolbar : More : Delete
Result: You get a question: "Are you sure...", but title and breadcrumb say:
  "Can't Delete Patron" rsp "Cant delete patron"

To test:
- Apply patch
- Repeat steps above.
- Verify that title and breadcrumb display properly, including patron's name
Comment 2 Claire Gravely 2016-10-10 12:32:56 UTC
Created attachment 56095 [details] [review]
Bug 17403: Patron deletion page: Fix title and breadcrumb

Title and breadcrumb of patron deletion page (deletemember.pl) say:
"Can't Delete Patron". This should be changed to "Delete patron".

To verify:
- Go to a patron's detail page
- Toolbar : More : Delete
Result: You get a question: "Are you sure...", but title and breadcrumb say:
  "Can't Delete Patron" rsp "Cant delete patron"

To test:
- Apply patch
- Repeat steps above.
- Verify that title and breadcrumb display properly, including patron's name

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 3 Marcel de Rooy 2016-10-20 10:24:39 UTC
Created attachment 56691 [details] [review]
Bug 17404: Patron deletion page: Fix title and breadcrumb

Title and breadcrumb of patron deletion page (deletemember.pl) say:
"Can't Delete Patron". This should be changed to "Delete patron".

To verify:
- Go to a patron's detail page
- Toolbar : More : Delete
Result: You get a question: "Are you sure...", but title and breadcrumb say:
  "Can't Delete Patron" rsp "Cant delete patron"

To test:
- Apply patch
- Repeat steps above.
- Verify that title and breadcrumb display properly, including patron's name

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2016-10-20 10:26:57 UTC
Personally, I would not add the names in title and breadcrumbs.
No blocker.
Comment 5 Kyle M Hall 2016-10-21 15:11:54 UTC
Pushed to master for 16.11, thanks Marc!
Comment 6 Frédéric Demians 2016-10-22 13:12:41 UTC
Pushed in 16.05. Will be in 16.05.05.
Comment 7 Julian Maurice 2016-10-24 10:52:38 UTC
Pushed in 3.22.x, will be in 3.22.12